package com.cf.imes.module.system.validation.pay;

import com.cf.imes.framework.test.core.ut.BaseMockitoUnitTest;
import com.cf.imes.module.system.enums.pay.TradeTypeEnum;
import jakarta.validation.ConstraintValidatorContext;
import org.junit.jupiter.api.Test;
import org.mockito.Mock;

import static org.junit.jupiter.api.Assertions.assertFalse;
import static org.junit.jupiter.api.Assertions.assertTrue;

/**
 * 交易类型校验器单元测试
 *
 * @author Gqr
 * @since 2025/12/9 14:43
 */
public class TradeTypeEnumValidatorTest extends BaseMockitoUnitTest {
    @Mock
    private ConstraintValidatorContext constraintValidatorContext;

    @Test
    void testValid() {
        TradeTypeEnumValidator validator = new TradeTypeEnumValidator();
        assertTrue(validator.isValid(TradeTypeEnum.PRODUCT.getCode(), constraintValidatorContext));
        assertTrue(validator.isValid(null, constraintValidatorContext));
        assertFalse(validator.isValid(2, constraintValidatorContext));
    }
}
